PhpStorm 6.0.3 update is available

PhpStorm 6.0.3 build 129.814 is available for download.

This bugfix update is focused on stability & performance.
More details available in issue tracker.

We also made important PHP OpenAPI improvements – and helped plugin authors with proper (and stable) implementation. All the affected plugins should be updated shortly by their authors. Unstable freeze-prone versions will cease working.

Download PhpStorm 6.0.3 build 129.814 for your platform and please report any bugs or feature request to our Issue Tracker.

Patch-update for this build is available from 6.0.2 release build.

Develop with pleasure!
-JetBrains PhpStorm Team

This entry was posted in Release Announcements and tagged . Bookmark the permalink.

34 Responses to PhpStorm 6.0.3 update is available

  1. Dmitry says:

    What about PHP 5.5 support?

  2. Florin says:

    How fast will IntelliJ IDEA receive the update? I’m using v13 EAP right now but I can use 12.x as well if needed :) Thanks.

    • Mikhail Vink says:

      IntelliJ IDEA 12.x will soon get the latest update for the plugin (just a couple of days), in IntelliJ IDEA 13 you will be able to use PHP plugin similar by features to PhpStorm 7 (EAP and later release when available).

  3. Chris Routh says:

    I cancelled the update for now. Upgrading to 6.0.3 reports that Phing support and the command line tool are absent and cannot be upgraded. Phing is no big deal, but I cannot loose the command line tool..

    • Mikhail Vink says:

      We’ve checked and it is there! Both Phing and Command Line Tool works well in 6.0.3 – if you experience any problems please try invalidating caches or re-installing plugins, but most probably it will work without any actions of this kind. If you experience any problems – please file an issue at http://youtrack.jetbrains.com/issues/WI

    • Matt says:

      I can confirm, the command line tool in 6.0.3 is the best ever. Good Symfony and Composer support now. :)

  4. Colin says:

    What is the new format equivalent for the factory pattern auto-completion?

    Old format example:

    namespace PHPSTORM_META {
    $STATIC_METHOD_TYPES [
    \Mage::helper('') => [
    'backup' instanceof \Mage_Backup_Helper_Data,
    ...
    ]
    ];
    }

  5. Andrey says:

    Hey, guys.
    Could someone tell me please, where to get the patch-update ?
    I had seen a notice in the article, that it’s available, but haven’t found it anywhere.

    • Mikhail Vink says:

      Please check Settings | Update – you can configure update there. You can run it from File | Update (or PhpStorm | Update on Mac OS X)

  6. No patch-update from 129.757? :(

    • Mikhail Vink says:

      We don’t have EAP->Stable patch updates, they are usually issued for EAP->EAP or Stable->Stable.

  7. Cedric Ziel says:

    Hmm.. Autocompletion for Library folders is gone. Thats pretty bad. Does anybody else experience this?

  8. exfromtheleft says:

    Hello i use Ubuntu and installed phpstorm in the /opt folder, which is writtable only by Root, so obviously this pauses a little problem when comes the moment to do an upgrade from one version to another. I have tried to launch phpstorm as a root (because it’s another user, so all settings under the default are lost etc…) in the past just for the upgrade and it caused me a great amount of problems, does anyone have a way to do this upgrade smoothly on ubuntu 13.04?

  9. nullpeter says:

    I’m getting “access denied” error for PhpStorm.exe when updating (Windows 7). Only option the dialog provides is to “ignore” the error. Running PhpStorm as Administrator doesn’t help.

  10. Marcelo says:

    Waiting patiently for the support to CakePHP. :)

  11. Juan says:

    Hi, I now have 6.0.1 installed. Up to now all the updates seemed to be installable without downloading the whole software, just a patch to put it somehow.

    Anyway, do I have to download the whole software? How should I reinstall as to not lose my configuration.

    I feel this should be made clear somewhere, maybe it is but I don’t find it. Thanks!

  12. Andrey says:

    Today my PhpStorm(6.0.3) stops to work. It hangs on indexing. Not matter what project (i tried simplest site with few html pages – same result). I tried to reinstall, i tried to wait – nothing help :(

    It hangs on: Applications/PhpStorm.app/plugins/php/lib/php.jar!/com/jetbrains/lang/php/psi/stubs/data/hash.php

    Before totally deleting of PhpStorm it hangs on:
    Applications/PhpStorm.app/plugins/php/lib/php.jar!/com/jetbrains/lang/php/psi/stubs/data/bz2.php

    Please help, i can’t work! :(

  13. Kim says:

    No PHP 5.5-support? I was planning to buy phpstorm. Now i’m reconsidering it.

    • Mikhail Vink says:

      PHP 5.5 support is planned for PhpStorm 7 (to be released this fall) – your license will include 1year of free updates including major upgrades, so you will get the next version without additional payments. Also EAP for PhpStorm 7 with initial support for PHP 5.5 will be started soon.

  14. Tony Tran says:

    Hi Mikhail Vink !

    I’m using phpStorm 6.0.2 and I tried to update it up to 6.0.3 but have some issues.

    I pressed menu Help => Check for update, and I waited for updating. After updating finished, I restarted phpStorm and It’s still phpStorm 6.0.3 version.

    Please help me !

    • Mikhail Vink says:

      Hi! Do you mean it’s still 6.0.2? Seems to be a typo.. Do you get a dialog with next version listed there? (and button “update”)

  15. Rifat says:

    Do you have any plan to include wordpress codes in PhpStrom ?
    Thanks

  16. Tej says:

    navigating to reused step definitions within step definition files isnt working as expected

    When i reuse a step definition ex: step ‘I login into app’ and when i click to navigate to that step using cmd+click , I see full list of all step deifnitions instead of taking me to actual step definition

Leave a Reply

Your email address will not be published. Required fields are marked *

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code class="" title="" data-url=""> <del datetime=""> <em> <i> <q cite=""> <strike> <strong> <pre class="" title="" data-url=""> <span class="" title="" data-url="">